%define major 7

Summary: SASL is the Simple Authentication and Security Layer.
Name: cyrus-sasl
Version: 1.5.24
Release: 7mdk
Source0: %{name}-%{version}.tar.bz2
#Source1:        saslauthd.init
#Source2:        saslauthd.sysconfig

Patch0: %{name}-1.5.21-des.patch
Patch1: %{name}-1.5.24-external.patch
Patch2: %{name}-configdir.patch
Patch3: %{name}-mysql-ldap.patch
#Patch4: %{name}-saslauthd.patch
Patch5: cyrus-sasl-1.5.24-rpath.patch.bz2

Copyright: BSD
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: libsasl%{major}
BuildRequires:  autoconf
BuildRequires:  automake
#BuildRequires:  db3-devel >= 3.1.17-8
BuildRequires:  db3-devel >= 3.1.17
BuildRequires:  pam-devel
BuildRequires:  openssl-devel >= 0.9.6a
BuildRequires:  libtool >= 1.4
BuildRequires:  libldap2-devel

%description
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major}
Summary: Librairies for SASL a the Simple Authentication and Security Layer.
Group: System/Libraries


%description -n libsasl%{major}
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major}-devel
Summary: Librairies for SASL a the Simple Authentication and Security Layer.
Group: Development/C
Provides: libsasl-devel
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-devel
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major}-plug-anonymous
Summary: SASL ANONYMOUS mechanism plugin
Group: System/Libraries
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-plug-anonymous
This plugin implements the SASL ANONYMOUS mechanism,
used for anonymous authentication.

%package -n libsasl%{major}-plug-crammd5
Summary: SASL CRAM-MD5 mechanism plugin
Group: System/Libraries
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-plug-crammd5
This plugin implements the SASL CRAM-MD5 mechanism.
CRAM-MD5 is the mandatory-to-implement authentication mechanism for a
number of protocols; it uses MD5 with a challenge/response system to
authenticate the user.

%package -n libsasl%{major}-plug-digestmd5
Summary: SASL DIGEST-MD5 mechanism plugin
Group: System/Libraries
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-plug-digestmd5
This plugin implements the latest draft of the SASL DIGEST-MD5
mechanism.  Although not yet finalized, this is likely to become the
new mandatory-to-implement authentication system in all new protocols.
It's based on the digest md5 authentication system designed for HTTP.

#%package plug-kerberos4
#Summary: SASL KERBEROS_V4 mechanism plugin

#%description plug-kerberos4
#This plugin implements the SASL KERBEROS_V4 mechanism, allowing
#authentication via kerberos version four.

%package -n libsasl%{major}-plug-plain
Summary: SASL PLAIN mechanism plugin
Group: System/Libraries
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-plug-plain
This plugin implements the SASL PLAIN mechanism.  Although insecure,
PLAIN is useful for transitioning to new security mechanisms, as this
is the only mechanism which gives the server a copy of the user's
password.

%package -n libsasl%{major}-plug-scrammd5
Summary: SASL SCRAM-MD5 mechanism plugin
Group: System/Libraries
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-plug-scrammd5
This plugin implements the SASL SCRAM-MD5 mechanism.  Although
deprecated (this will be replaced by DIGEST-MD5 at some point), it may
be useful for the time being.

%package -n libsasl%{major}-plug-login
Summary: SASL LOGIN mechanism plugin
Group: System/Libraries
Requires: libsasl%{major} = %{version}

%description -n libsasl%{major}-plug-login
This plugin implements the SASL LOGIN mechanism.


%prep
%setup
%patch0 -p1 -b .des
%patch1 -p1 -b .external
%patch2 -p1
%{?!bootstrap:%patch3 -p1}
#%patch4 -p1
%patch5 -p1

%build
%serverbuild
rm -f config/missing
#libtoolize --copy --force
aclocal -I cmulocal
autoheader
automake -a
autoconf
export LDFLAGS="-L/lib"
%configure 	--enable-static --enable-shared \
		--libdir=/usr/lib \
		--with-plugindir=%{_libdir}/sasl \
		--with-dblib=auto_detect \
		--disable-krb4 \
		--disable-gssapi \
		--enable-anon \
		--enable-cram \
		--enable-plain \
		--enable-login \
		--enable-digest \
		--enable-pam=/usr \
%{?!bootstrap:--with-ldap=/usr} \
		--without-mysql \
		--with-pwcheck=/var/run/sasl \
		--with-dbpath=/var/lib/sasl/sasl.db \
		--with-configdir=/usr/lib/sasl \
		--with-des \
		--with-rc4 \
		--disable-sample
#		--enable-x509 \
#		--prefix=/usr \
#		--enable-srp \
#		--with-saslauthd=/var/run/sasl \

# Hack : to be transform as patch
find . -name Makefile | xargs perl -p -i -e 's@-Wl,-rpath,/[^ ]+|-rpath /[^ ]+@@'
%make

install pwcheck/README  README.pwcheck

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/{run,lib}/sasl,/etc/sasl}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/lib/sasl/sasl.db

#install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/saslauthd
#install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/saslauthd

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libsasl%{major}  -p /sbin/ldconfig

%postun -n libsasl%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS INSTALL NEWS README* TODO doc
%doc sample testing.txt
%dir /var/lib/sasl
%dir /etc/sasl
%dir /var/run/sasl
%config(noreplace) %verify(not mtime md5 size) /var/lib/sasl/sasl.db
%{_sbindir}/*
%{_mandir}/man8/*

%files -n libsasl%{major}
%defattr(-,root,root)
%{_libdir}/libsasl*.so.*

%files -n libsasl%{major}-plug-anonymous
%defattr(-,root,root)
%{_libdir}/*/libanonymous*.so*

%files -n libsasl%{major}-plug-crammd5
%defattr(-,root,root)
%{_libdir}/*/libcrammd5*.so*

%files -n libsasl%{major}-plug-digestmd5
%defattr(-,root,root)
%{_libdir}/*/libdigestmd5*.so*

%files -n libsasl%{major}-plug-plain
%defattr(-,root,root)
%{_libdir}/*/libplain*.so*

#%files -n libsasl%{major}-plug-kerberos4
#%defattr(-,root,root)
#%{_libdir}/*/libkerberos4*.so*

%files -n libsasl%{major}-plug-login
%defattr(-,root,root)
%{_libdir}/*/liblogin*.so*

%files -n libsasl%{major}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/*/*a
%{_mandir}/man3/*
 
%changelog
* Sat Sep 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.5.24-7mdk
- Fix stupid error with CONFDIR.
- As a special bonus fix the build.

* Thu Jul  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5.24-6mdk
- rebuild for db3.2

* Wed Jun 20 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.24-5mdk
- review rpm organization

* Wed Jun 13 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.24-4mdk
- rpath patch <flepied@mandrakesoft.com>

* Tue Jun 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.24-3mdk
- mysql, ldap patch
- added documentation

* Fri Mar  9 2001 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-2mdk
- Adding include file in devel package

* Mon Nov 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-1mdk
- First mdk release
